curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#create_conversion_action' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"type": "WEBPAGE",
"category": "PURCHASE",
"customer_id": "<string>",
"counting_type": "ONE_PER_CLICK",
"default_value": 123,
"default_currency_code": "USD",
"always_use_default_value": false,
"click_through_lookback_window_days": 30,
"view_through_lookback_window_days": 1
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Create a conversion action for tracking user actions (purchases, sign-ups, etc.). Required for Smart Bidding strategies.
curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#create_conversion_action' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"name": "<string>",
"type": "WEBPAGE",
"category": "PURCHASE",
"customer_id": "<string>",
"counting_type": "ONE_PER_CLICK",
"default_value": 123,
"default_currency_code": "USD",
"always_use_default_value": false,
"click_through_lookback_window_days": 30,
"view_through_lookback_window_days": 1
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.